Subject: [dtn-interest] LTP as a PPP encapsulated protocol

From: Brian Sipos <[email-masked]>
Date: Tue, 9 Dec 2014 19:32:50 +0000

Hello,

I am quite new to the DTN-interest group. I have been looking into using Licklider Transmission Protocol (RFC 5326) as a reliable datagram transport over an RF data link. I would like to use the same LTP layer over a physical data link for testing and "local" interconnection. I was looking into a variety of twisted-pair type wired data link layers, and would very much like to leverage PPP (RFC 1662) for this purpose.

Unfortunately, PPP requires a Protocol ID number assignment, does not provide for experimental IDs (without an IEEE OUI), and the IANA Protocol ID registry requires an IETF RFC to make such assignment. I believe that this would be something on the order of RFC7122. I have not found any earlier discussion of LTP-over-PPP, and am trying to gauge if there is any interest in such a standardization. The difference from LTP/UDP or LTP/DCCP is that LTP/PPP would be for cases where there is a direct physical connection between LTP endpoints and no need for network addressing overhead. I understand that the alternative would be something like LTP/UDP/IPv4 with broadcast IP address.

Thanks for any interest,

Brian Sipos

---

From: "Burleigh, Scott C (312B)" <[email-masked]>
Date: Wed, 10 Dec 2014 17:51:58 +0000

This seems like quite a cool idea to me, Brian.  The standardization question aside, you might be interested in the "DGR" (datagram retransmission) protocol implementation that is included in the ION distribution of DTN (http://sourceforge.net/projects/ion-dtn/).  DGR is a compliant implementation of RFC 5326 that runs over UTP/IPv4, but you might not find it too hard to adapt to run over PPP; it's designed for use over low-signal-propagation-delay links.  It currently only handles single-segment blocks, though.

Scott

From: dtn-interest [mailto:[email-masked]] On Behalf Of Brian Sipos
Sent: Tuesday, December 9, 2014 11:33 AM
To: [email-masked]
Subject: [dtn-interest] LTP as a PPP encapsulated protocol

Hello,

Thanks for any interest,

Brian Sipos